Do we need the HipChat Core Plugin?

In July 2014 we have installed JIRA Server 6.0.8 and upgraded to JIRA Server 6.2.7.

It ships with Add-Ons called HipChat Core Plugin and HipChat for JIRA.

Screenshot_JIRA_Add-On_HipChat-Core-plugin.jpg

Now, we want to upgrade our JIRA test evironment to Version 6.4.

The JIRA update check says that the compatibility from HipChat Core Plugin with JIRA 6.4 is unknown. I cannot find information about this plugin.

Screenshot_JIRA_update_check_HipChat-Core-plugin_unknown.jpg

 

Can we ignore the HipChat Core Plugin or can we uninstall the plugin?

3 answers

1 accepted

0 vote

Hi Marco,

Can we ignore the HipChat Core Plugin

Yes, you can safely upgrade - we have a newer version of plugin bundled with 6.4 which will take the precedent. Whether you do use hipchat integration or not upgrading to JIRA 6.4 will be safe.

It is a little confusing that the name of the plugin in marketplace is "HipChat for JIRA" which is different from the installed "HipChat Core Plugin" . This is due to how the provide the HipChat integration functionality for JIRA - it is actually several plugins that work together and the bundle in marketplace contains all the necessary plugins and goes under the "HipChat for JIRA" name.

Hi Anatoli, thanks for your reply. I want to make it clear that we have installed both addons, "HipChat Core Plugin" AND "HipChat for JIRA". Both came with the full installation of JIRA 6.0.8. If I look on the filesystem in ../jira-home/plugins/installed-plugins there are both jars. hipchat-core-plugin-0.8.3.jar hipchat-for-jira-plugin-1.2.11.jar Both with the same date - the installation date. We have never updated them, because we have never used them. There is no support, no marketplace entry or other information about the core plugin. But if you say, we can safely upgrade, then I feel safe to ignore the addon. Thanks, Marco

Yep, safe to ignore!

Hi, 

if you don't use HipChat you can uninstall it I suppose. If you want to use it in the future you can reinstall it.

I think your HipChat Version 0.8.3 is obsolete - we use JIRA in version 6.3.13 and the plugin version is 6.18.1. Maybe you should reinstall it.

Cheers,

Dirk

Hi Dirk, thanks for your reply. The Add-On with the version number 6.18.1 is "HipChat for JIRA". But we have a second Add-On named "HipChat Core Plugin" with the version 0.8.3. I can't find any information about the second Add-On on the Marketplace and as you can see in my first screenshot there are no more links to the Marketplace or Documentation. We don't use HipChat and I think, we can uninstall it. Thanks, Marco

I want to say, that the HipChat Core Plugin is automatically removed from the JIRA Installer. Greets.

Suggest an answer

Log in or Sign up to answer
Atlassian Community Anniversary

Happy Anniversary, Atlassian Community!

This community is celebrating its one-year anniversary and Atlassian co-founder Mike Cannon-Brookes has all the feels.

Read more
Community showcase
Julia Dillon
Posted Tuesday in Jira

Tell us how your team runs on Jira!

Hey Atlassian Community! Today we are launching a bunch of customer stories about the amazing work teams, like Dropbox and Twilio, are doing with Jira. You can check out the stories here. The thi...

187 views 1 17
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you